class AsiaAcademy
	include Mongoid::Document
	include Mongoid::Timestamps
	include Slug
	field :academy_name, :type => String, :default => "", :localize => true, :as => :slug_title
	has_many :asia_departments
	has_many :asia_teachers, :order => 'ukey DESC'
end