module AsiaDatabase
	class Engine < ::Rails::Engine
		initializer "asia_database" do
			OrbitApp.registration "AsiaDatabase",:type=> 'ModuleApp' do
				module_label 'module_name.asia_database'
				base_url File.expand_path File.dirname(__FILE__)
				version "0.0.1"
				desktop_enabled true
				organization "Rulingcom"
				author "RD dep"
				frontend_enabled
				data_count 1..10
				side_bar do
					head_label_i18n 'module_name.asia_database', icon_class: "fas fa-school-flag"
					available_for "users"
					active_for_controllers (['admin/asia_databases', 'admin/asia_teachers'])
					head_link_path "admin_asia_databases_path"
				end
			end
		end
	end
end